<?php

class Credentials extends CModel {
	
	var $href="";
    var $username="";
    var $password="";
    var $realm="";
    
    var $options = array();
    
    public function attributeNames() {
        return array("href", "username", "password", "realm" );
    }
    
    public function rules() {
		$res = array(
            array( "href", 'SimpleURLValidator' ),
            array( "username, password", 'required' ),
            array( "realm", 'safe' ),
    	);
        return $res;
	}
    
    public function attributeLabels()
	{
		return array(
            'href'=>'Server URI',
            'username'=>'Username',
            'password'=>'Password',
            'realm'=>'Realm',
		);
	}
    public function discard() {
        return $this->href=="" && $this->username=="" && $this->password=="" && $this->realm=="" ;
    }
}